Index: nls/en_US.UTF-8/XLC_LOCALE.pre
===================================================================
--- nls/en_US.UTF-8/XLC_LOCALE.pre.orig
+++ nls/en_US.UTF-8/XLC_LOCALE.pre
@@ -30,17 +30,107 @@ fs1	{
 		primary	ISO8859-1:GR
 	}
 }
-XCOMM 	fs2 class (Kanji)
+XCOMM	fs2 class (ISO8859 families)
 fs2	{
 	charset	{
+		name	ISO8859-2:GR
+	}
+	font	{
+		primary	ISO8859-2:GR
+	}
+}
+XCOMM	fs3 class (ISO8859 families)
+fs3	{
+	charset	{
+		name	ISO8859-3:GR
+	}
+	font	{
+		primary	ISO8859-3:GR
+	}
+}
+XCOMM	fs4 class (ISO8859 families)
+fs4	{
+	charset	{
+		name	ISO8859-4:GR
+	}
+	font	{
+		primary	ISO8859-4:GR
+	}
+}
+XCOMM	fs5 class (ISO8859 families)
+fs5	{
+	charset	{
+		name	ISO8859-5:GR
+	}
+	font	{
+		primary	ISO8859-5:GR
+	}
+}
+XCOMM	fs6 class (koi8-r)
+fs6	{
+	charset	{
+		name	KOI8-R:GR
+	}
+	font	{
+		primary	KOI8-R:GR
+	}
+}
+XCOMM	fs7 class (ISO8859 families)
+fs7	{
+	charset	{
+		name	ISO8859-7:GR
+	}
+	font	{
+		primary	ISO8859-7:GR
+	}
+}
+XCOMM	fs9 class (ISO8859 families)
+fs8	{
+	charset	{
+		name	ISO8859-9:GR
+	}
+	font	{
+		primary	ISO8859-9:GR
+	}
+}
+XCOMM	fs13 class (ISO8859 families)
+fs9	{
+	charset	{
+		name	ISO8859-13:GR
+	}
+	font	{
+		primary	ISO8859-13:GR
+	}
+}
+XCOMM	fs14 class (ISO8859 families)
+fs10	{
+	charset	{
+		name	ISO8859-14:GR
+	}
+	font	{
+		primary	ISO8859-14:GR
+	}
+}
+XCOMM	fs15 class (ISO8859 families)
+fs11	{
+	charset	{
+		name	ISO8859-15:GR
+	}
+	font	{
+		primary	ISO8859-15:GR
+	}
+}
+XCOMM 	fs16 class (Kanji)
+fs12	{
+	charset	{
 		name	JISX0208.1983-0:GL
 	}
 	font	{
 		primary	JISX0208.1983-0:GL
 	}
 }
-XCOMM   fs3 class (Korean Character)
-fs3	{
+XCOMM   fs17 class (Korean Character)
+fs13	{
 	charset	{
 		name	KSC5601.1987-0:GL
 	}
@@ -48,8 +138,8 @@ fs3	{
 		primary	KSC5601.1987-0:GL
 	}
 }
-XCOMM   fs4 class (Chinese Han Character)
-fs4	{
+XCOMM   fs18 class (Chinese Han Character)
+fs14	{
 	charset	{
 		name	GB2312.1980-0:GL
 	}
@@ -57,8 +147,8 @@ fs4	{
 		primary	GB2312.1980-0:GL
 	}
 }
-XCOMM	fs5 class (Half Kana)
-fs5	{
+XCOMM	fs20 class (Half Kana)
+fs15	{
 	charset	{
 		name	JISX0201.1976-0:GR
 	}
@@ -68,8 +158,8 @@ fs5	{
 	}
 }
 XCOMM	ISO10646 should come last so the fonts above will actually be used
-XCOMM	fs6 class
-fs6	{
+XCOMM	fs24 class
+fs16	{
 	charset	{
 		name	ISO10646-1
 	}
@@ -103,37 +193,107 @@ cs1     {
 }
  
 XCOMM	cs2 class
-cs2	{
+cs2     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-2:GR
+}
+ 
+XCOMM	cs3 class
+cs3     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-3:GR
+}
+ 
+XCOMM	cs4 class
+cs4     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-4:GR
+}
+ 
+XCOMM	cs5 class
+cs5     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-5:GR
+}
+ 
+XCOMM	cs6 class
+cs6     {
+        side            GR
+        length          1
+        ct_encoding     KOI8-R:GR
+}
+ 
+XCOMM	cs7 class
+cs7     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-7:GR
+}
+ 
+XCOMM	cs9 class
+cs8     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-9:GR
+}
+ 
+XCOMM	cs13 class
+cs9     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-13:GR
+}
+ 
+XCOMM	cs14 class
+cs10     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-14:GR
+}
+ 
+XCOMM	cs15 class
+cs11     {
+        side            GR
+        length          1
+        ct_encoding     ISO8859-15:GR
+}
+ 
+XCOMM	cs16 class
+cs12	{
 	side		GR
 	length		2
 	ct_encoding	JISX0208.1983-0:GL; JISX0208.1983-0:GR;\
 			JISX0208.1983-1:GL; JISX0208.1983-1:GR
 }
 
-XCOMM	cs3 class
-cs3     {
+XCOMM	cs17 class
+cs13     {
         side            GL
         length          2
         ct_encoding     KSC5601.1987-0:GL; KSC5601.1987-0:GR;\
                         KSC5601.1987-1:GL; KSC5601.1987-1:GR
 }
  
-XCOMM	cs4 class
-cs4     {
+XCOMM	cs18 class
+cs14     {
         side            GR
         length          2
         ct_encoding     GB2312.1980-0:GL; GB2312.1980-0:GR
 }
  
-XCOMM	cs5 class
-cs5	{
+XCOMM	cs20 class
+cs15	{
 	side		GR
 	length		1
 	ct_encoding	JISX0201.1976-0:GR
 }
-
-XCOMM	cs6 class
-cs6	{
+ 
+XCOMM	cs24 class
+cs16	{
 	side		none
 	ct_encoding	ISO10646-1
 }
